Bug 1031984 - F20 - kernel option "CGROUP_HUGETLB" is not enabled in Fedora 20
F20 - kernel option "CGROUP_HUGETLB" is not enabled in Fedora 20
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 05:10 EST by IBM Bug Proxy
Modified: 2013-12-04 07:50 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-3.11.9-300.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 18:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 100031 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-11-19 05:10:45 EST
== Comment: #0 - Shubham Goyal <shubgoya@in.ibm.com> - 2013-11-19 04:20:45 ==
Description of problem: Per this feature request ( IBM Bug ID : 96091, Redhat Bug ID : 989577) "CGROUP_HUGETLB" kernel option was already enabled in kernel version "kernel-3.10.0-12.el7". Check below comment:

The kernel version of F20 is greater than above kernel version & it is expected to have this kernel option enabled. But this kernel option is still "not set" in F20-Beta kernel.

[root@juno-ioxc1-lp1 ~]# uname -a
Linux juno-ioxc1-lp1.xxxx.ibm.com 3.11.6-301.fc20.ppc64p7 #1 SMP Mon Oct 21 18:49:17 MST 2013 ppc64 ppc64 ppc64 GNU/Linux
[root@juno-ioxc1-lp1 ~]# cat /boot/config-3.11.6-301.fc20.ppc64p7 | grep CONFIG_CGROUP_HUGETLB 
# CONFIG_CGROUP_HUGETLB is not set
[root@juno-ioxc1-lp1 ~]# 

How reproducible: Always.

Version-Release number of selected component (if applicable):
Fedora 20 Beta - 3.11.6-301.fc20.ppc64p7

Steps to Reproduce:

1) Check availability of above mentioned kernel option.

Actual results: Kernel option is not set

Expected results: Kernel option should be set

Additional info: Let me know if you need any.
Comment 1 Josh Boyer 2013-11-19 07:47:41 EST
Fedora doesn't follow and isn't aware of RHEL feature requests.  Fedora also has a large variety of config settings that differ from RHEL kernels.  If you want something set in Fedora, you need to open a bug against Fedora and request it.  Please communicate this to your teams for future reference.

We'll treat this bug as such a request for now.
Comment 2 Josh Boyer 2013-11-19 08:10:27 EST
I've enabled this on F20 and rawhide for ppc64/ppc64p7 and x86_64.  It will be in the next build of each.
Comment 3 Fedora Update System 2013-11-21 09:51:07 EST
kernel-3.11.9-300.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.9-300.fc20
Comment 4 Fedora Update System 2013-11-23 22:40:19 EST
Package kernel-3.11.9-300.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.9-300.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21967/kernel-3.11.9-300.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-24 18:46:35 EST
kernel-3.11.9-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 IBM Bug Proxy 2013-12-04 07:50:29 EST
------- Comment From shubgoya@in.ibm.com 2013-12-04 12:48 EDT-------
I checked by updating to kernel "3.11.9-300.fc20.ppc64p7". kernel option "CGROUP_HUGETLB" is now enabled.
The correct & expected output is below:-

[root@transam2s-lp1 ~]# cat /boot/config-3.11.9-300.fc20.ppc64p7 | grep CONFIG_CGROUP_HUGETLB
CONFIG_CGROUP_HUGETLB=y

Note You need to log in before you can comment on or make changes to this bug.